> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# List Packages

GET https://api.simjuno.com/v1/esim/destination/{slug}

Get all packages for a specific destination

Reference: https://docs.simjuno.com/api-reference/esim/list-packages

## Authentication

- `x-api-key` header (required) — API key generated from the dashboard (Settings → API Keys). Each key is limited to 8 requests per 1-second window.

## Request

### Path parameters

- `slug` (string, required)

## Response

### 200

Successful response

- `packages` (list of object, required)
  - `packageCode` (string, required)
  - `slug` (string, required)
  - `name` (string, required)
  - `price` (double, required)
  - `currencyCode` (string, required)
  - `volume` (double, required)
  - `smsStatus` (double or double or double, required)
  - `dataType` (double or double or double or double, required)
  - `unusedValidTime` (double, required)
  - `duration` (double, required)
  - `durationUnit` (string, required)
  - `location` (string, required)
  - `description` (string, required)
  - `activeType` (double or double, required)
  - `speed` (string, required)
  - `locationNetworkList` (list of object, required)
    - `locationName` (string, required)
    - `locationLogo` (string, required)
    - `locationCode` (string, optional)
    - `operatorList` (list of object, optional)
      - `operatorName` (string, required)
      - `networkType` (string, required)
  - `ipExport` (string, required)
  - `supportTopUpType` (double or double, required)
  - `fupPolicy` (string, optional)
  - `subLocationList` (list of object, optional, nullable)
    - `code` (string, required)
    - `name` (string, required)
- `total` (double, required)

## Examples

**Response**

```json
{
  "packages": [
    {
      "packageCode": "string",
      "slug": "string",
      "name": "string",
      "price": 1.1,
      "currencyCode": "string",
      "volume": 1.1,
      "smsStatus": 0,
      "dataType": 1,
      "unusedValidTime": 1.1,
      "duration": 1.1,
      "durationUnit": "string",
      "location": "string",
      "description": "string",
      "activeType": 1,
      "speed": "string",
      "locationNetworkList": [
        {
          "locationName": "string",
          "locationLogo": "string",
          "locationCode": "string",
          "operatorList": [
            {
              "operatorName": "string",
              "networkType": "string"
            }
          ]
        }
      ],
      "ipExport": "string",
      "supportTopUpType": 1,
      "fupPolicy": "string",
      "subLocationList": [
        {
          "code": "string",
          "name": "string"
        }
      ]
    }
  ],
  "total": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/esim/destination/slug"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/esim/destination/slug';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/esim/destination/slug"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/esim/destination/slug")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/esim/destination/slug")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/esim/destination/slug', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/esim/destination/slug");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/esim/destination/slug")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```